npm

Does your artifact manager get in the way? Join us on Oct. 8 at 10am PT, to discuss how npm can help.Sign up »

eslint-config-inpsyde

2.2.0 • Public • Published

eslint-config-inpsyde

Version Status Build Downloads License

Shareable ESLint config, following the Inpsyde JavaScript Style Guide.

Installation

Install via Yarn:

yarn add --dev eslint-config-inpsyde eslint

Install via npm:

npm install --save-dev eslint-config-inpsyde eslint

Usage

This package exports two shareable ESLint configs. Both packages only require eslint.

eslint-config-inpsyde

The default config is intended to be used for linting modern JavaScript code. Currently, this means that the rules are specifically designed for ES6 code, while the config also allows to parse ES7.

Install the package, then add "extends": "inpsyde" to your .eslintrc file.

eslint-config-inpsyde/es5

If you want to lint ES5 code, then this config is for you.

Install the package, then add "extends": "inpsyde/es5" to your .eslintrc file.

Further Information

For much more detailed information on how to use ESLint (for your WordPress projects), please refer to this post.

License

Copyright (c) 2017 Inpsyde GmbH

This code is licensed under the MIT License.

install

npm i eslint-config-inpsyde

Downloadsweekly downloads

16

version

2.2.0

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
  • avatar
Report a vulnerability